TermRangeTermEnum (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.TermRangeTermEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class TermRangeTermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum
          org.apache.lucene.search.FilteredTermEnum
              org.apache.lucene.search.TermRangeTermEnum

All Implemented Interfaces:
  Closeable

    public class TermRangeTermEnum

extends FilteredTermEnum

Subclass of FilteredTermEnum for enumerating all terms that match the specified range parameters.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

Since:
  2.9

Field Summary

Fields inherited from class org.apache.lucene.search.FilteredTermEnum
`actualEnum, currentTerm`

Constructor Summary
`TermRangeTermEnum(IndexReader reader, String field, String lowerTermText, String upperTermText, boolean includeLower, boolean includeUpper, Collator collator)` Enumerates all terms greater/equal than `lowerTerm` but less/equal than `upperTerm`.

Method Summary
`float` | `difference()` Equality measure on the term
`protected boolean` | `endEnum()` Indicates the end of the enumeration has been reached
`protected boolean` | `termCompare(Term term)` Equality compare on the term

Methods inherited from class org.apache.lucene.search.FilteredTermEnum
`close, docFreq, next, setEnum, term`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermRangeTermEnum

    public TermRangeTermEnum(IndexReader reader,
                             String field,
                             String lowerTermText,
                             String upperTermText,
                             boolean includeLower,
                             boolean includeUpper,
                             Collator collator)
                      throws IOException

  Enumerates all terms greater/equal than `lowerTerm` but less/equal than `upperTerm`. If an endpoint is null, it is said to be "open". Either or both endpoints may be open. Open endpoints may not be exclusive (you can't select all but the first or last term without explicitly specifying the term to exclude.)

  Parameters:
    `reader` -
    `field` - An interned field that holds both lower and upper terms.
    `lowerTermText` - The term text at the lower end of the range
    `upperTermText` - The term text at the upper end of the range
    `includeLower` - If true, the `lowerTerm` is included in the range.
    `includeUpper` - If true, the `upperTerm` is included in the range.
    `collator` - The collator to use to collate index Terms, to determine their membership in the range bounded by `lowerTerm` and `upperTerm`.
  Throws:
    `IOException`

Method Detail

### difference

    public float difference()

  Description copied from class: `FilteredTermEnum`
  Equality measure on the term

  Specified by:
    `difference` in class `FilteredTermEnum`

### endEnum

    protected boolean endEnum()

  Description copied from class: `FilteredTermEnum`
  Indicates the end of the enumeration has been reached

  Specified by:
    `endEnum` in class `FilteredTermEnum`

### termCompare

    protected boolean termCompare(Term term)

  Description copied from class: `FilteredTermEnum`
  Equality compare on the term

  Specified by:
    `termCompare` in class `FilteredTermEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD